package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

import com.ruoyi.cms.domain.Job;
import com.ruoyi.cms.domain.JobApply;
import com.ruoyi.cms.domain.vo.CandidateVO;

/**
 * 岗位申请Mapper接口
 * @author lishundong
 * @date 2024-09-04
 */
public interface JobApplyMapper extends BaseMapper<JobApply>
{
    /**
     * 查询岗位申请列表
     * 
     * @param jobApply 岗位申请
     * @return 岗位申请集合
     */
    public List<JobApply> selectJobApplyList(JobApply jobApply);


    List<Job> applyJob(Long userId);

    List<CandidateVO> candidates(Long jobId);
}
